LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XFilterDetect Interface Referencepublished

use com::sun::star::document::XExtendedFilterDetection instead of this More...

`import <XFilterDetect.idl;`

Inheritance diagram for XFilterDetect:

## Public Member Functions
string | getContentType ([in] string URL)
boolean | useExternBrowser ([in] string URL)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

use com::sun::star::document::XExtendedFilterDetection instead of this

Deprecated

## Member Function Documentation

## ◆ getContentType()

string getContentType | ( | [in] string | URL | ) |

## ◆ useExternBrowser()

boolean useExternBrowser | ( | [in] string | URL | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XFilterDetect.idl